import 'package:doctor_app_flutter/util/translations_delegate_base.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';

class SOAPOpenItems extends StatelessWidget {
  final Function onTap;
  final String label;

  const SOAPOpenItems({Key key, this.onTap, this.label}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return  InkWell(
      onTap: onTap,
      child: Container(
        padding: EdgeInsets.symmetric(
            vertical: 8, horizontal: 8.0),
        margin: EdgeInsets.symmetric(vertical: 8),
        decoration: BoxDecoration(
          border: Border.all(
              color: Colors.grey.shade400, width: 0.5),
          borderRadius: BorderRadius.all(
            Radius.circular(8),
          ),
          color: Colors.white,
        ),
        child: Row(
          mainAxisAlignment:
          MainAxisAlignment.spaceBetween,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Expanded(
                child: Column(
                  crossAxisAlignment:
                  CrossAxisAlignment.start,
                  children: [
                    AppText(
                      "$label",
                      fontSize:15,
                      color: Colors.black,
                      fontWeight: FontWeight.w600,
                    ),
                    AppText(
                      "${TranslationBase.of(context).searchHere}",
                      fontSize:13,
                      color: Colors.grey.shade700,
                    ),
                  ],
                )),
            Icon(
              Icons.add_box_rounded,
              size: 25,
            )
          ],
        ),
      ),
    );
  }
}



